<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<style type="text/css">
div{
	width:500px;
	height:20px;
	background-color:#ccc;
	border:1px solid #000;
	margin:10px auto;
}
div #barra{
	border:none;
	margin:0px;
	background-color:#0F6;
}


</style>
<script type="text/javascript">
	window.addEventListener("load",()=>{
		var barra=document.querySelector("#barra");
		barra.style.width="0%";
		var disminuir=document.querySelector("#boton1");//crear las variables de los botones para luego utilizarlos en el evento click.
		var aumentar=document.querySelector("#boton2");


		disminuir.addEventListener("click",()=>{
			var ancho=parseInt(barra.style.width);
			ancho=ancho-5;
			if(ancho>=0){
			barra.style.width=ancho+"%";
			}
		});

		aumentar.addEventListener("click",()=>{
			var ancho=parseInt(barra.style.width);
			ancho=ancho+5;
			if(ancho<=100){
			barra.style.width=ancho+"%";
			}
		});
	});


// function disminuir(){
// 	var barra=document.querySelector("#barra");
// 	var ancho=parseInt(barra.style.width);
// 	ancho=ancho-5;
// 	if(ancho>=0){
// 		barra.style.width=ancho+"%";
// 	}
// }

// function aumentar(){
// 	var barra=document.querySelector("#barra");
// 	var ancho=parseInt(barra.style.width);
// 	ancho=ancho+5;
// 	if(ancho<=100){
// 		barra.style.width=ancho+"%";
// 	}
// }


</script>
</head>

<body>
<div>
<div id="barra">
</div>
</div>
<form name="formulario">
<input type="button" value="Disminuir" id="boton1">
<input type="button" value="Aumentar" id="boton2">
</form>
</body>
</html>
